# cfdns

Sample Ansible role to create CloudFlare DNS records

## Requirements

1) See `domains/sample.yml` for sample DNS zone entry definitions -- change these as desired  

`domains` is a symbolic link to `roles/create-records/vars/`, these are loaded based on the `domains` list in `play.yml`  

_TODO_: Load files created here dynamically  

2) Your CloudFlare email address and API key must be stored in `~/.cloudflare.yml` like so for authentication:  
```
---
cf_email: you@domain.com
cf_token: abcdef123456
```
If this is a shared system, `chmod -v 0600 ~/.cloudflare.yml` once created to avoid potentially leaking credentials.
